Лучшие rubygems вопросы ИТ разработчиков

  • 0 голосов
  • 1 ответ
  • 0 просмотров
1 ответ

выпуск 1166 на github

много сообщений по этой проблеме, однако, может быть несколько причин, по которым Nokogiri (версия 1.6.x, 1.7.x или 1.8.x) не удается установить на OS X.Стат...

Задан 12 Jun 2017, 03:48 от Stephane Paquet
  • 8 голосов
  • 2 ответа
  • 0 просмотров
2 ответа

чтобы увидеть каталог, в котором он установлен. Если бы вы были на вашем месте, я бы перешел к одному из этих каталогов и просмотрел код - обычно это код ruby ​​(но иногда он может включать C). (Сначала загляните в подкаталог 'lib' - там обычно находится большая часть кода).

я делаю sudo gem, устанавливаю XYZ, куда на самом деле идет этот код? Драгоценные камни написаны в рубине на другом языке? Когда я делаю пакетную установку, что это делает? Я прочитал учебник по рельсам, но он, казалось, не учитывал эти важные ...

Задан 24 Feb 2011, 16:03 от Chris Muench
  • 14 голосов
  • 5 ответов
  • 0 просмотров
5 ответов

Рубиновый драгоценный камень указан, но не загружается (драгоценный камень в пользовательском каталоге, а не в рубиновом каталоге)

Я пытаюсь заставить некоторые гемы работать на веб-хосте, который поддерживает ruby и некоторые рубиновые гемы, но не некоторые из тех, которые мне нужны.Сле...

Задан 11 Aug 2009, 11:58 от Matt
  • 3 голосов
  • 3 ответа
  • 0 просмотров
3 ответа

«Нет такого файла для загрузки - bundler / setup» на сервере Apache / Passenger

Я пытаюсь развернуть черновик моего первого приложения на Rails. Он прекрасно работает на моем локальном сервере WEBRick.Тем не менее, на моем Ubuntu VPS раб...

Задан 26 Oct 2012, 16:20 от amacy
  • 57 голосов
  • 9 ответов
  • 0 просмотров
9 ответов

Как обработать ошибку Ruby on Rails: «Пожалуйста, установите адаптер postgresql:« gem install activerecord-postgresql-adapter »»

Запустив приложение Ruby on Rails (RoR) или код Ruby, использующий инфраструктуру ActiveRecord, вы получите сообщение об ошибке:Пожалуйста, установите адапте...

Задан 02 Nov 2009, 22:25 от user71268
  • 7 голосов
  • 0 ответов
  • 0 просмотров
0 ответов

Условная зависимость в Ruby Gemspec

Я строю драгоценный камень, для которого нужно установить драгоценный камень json. Не имеет значения, какой json gem: json_pure, json-jruby или json на основе C. Есть ли хороший способ определить это в gemspec?Этот ...

Задан 02 Dec 2009, 21:25 от Jimmy Z
  • 1 голос
  • 0 ответов
  • 0 просмотров
0 ответов

Превращение расширения ActiveRecord в гем

Это расширение создатьcache_find метод для всех моделей приложения (я создал это с помощьюэта почта [https://stackoverflow.com/a/2329394/740394]). конфиг / active_record_extension.rb require 'active_support/concern' module ActiveRecordExtension ...

Задан 13 Aug 2013, 17:55 от Rodrigo
  • 18 голосов
  • 2 ответа
  • 0 просмотров
2 ответа

Как включить поддержку расширения C в jRuby?

Я хочу установить гем, но получаю следующую ошибку: Building native extensions. This could take a while... ERROR: Error installing twitter-login: ERROR: Failed to build gem native extension. C:/nwcloud/jruby-1.7.2/bin/jruby.exe extconf.rb ...

Задан 03 Apr 2013, 19:11 от ada91
  • 8 голосов
  • 0 ответов
  • 0 просмотров
0 ответов

Ошибки при установке некоторых драгоценных камней на Snow Leopard - libxml2

После обновления до Snow Leopard я обнаружил, что установка некоторых драгоценных камней больше не работает, включая вебрат, механизацию и т. Д. Каждый раз, когда я получаю эту ошибку: checking for xmlParseDoc() in -lxml2... no libxml2 is ...

Задан 16 Jan 2010, 00:53 от tfwright
  • 13 голосов
  • 3 ответа
  • 0 просмотров
3 ответа

Неопределенный метод `instance 'для Capistrano :: Configuration: Class

Я пытаюсь запустить Capistrano и запустить его в приложении rails. У меня есть сервер Linux под управлением Ubuntu 12.04, nginx, unicorn и rails, однако у меня, похоже, возникают некоторые проблемы. Я также использую Capistrano 3.0.0, rails ...

Задан 14 Oct 2013, 22:34 от dodgerogers747
  • 10 голосов
  • 0 ответов
  • 0 просмотров
0 ответов

Как управлять несколькими наборами гемсетов и рубинов с помощью RVM?

Я действительно смущен объяснениями, данными на сайте RVM. Связь между различными интерпретаторами ruby ​​и наборами гемов мне не ясна. По мне, это так -Моя ...

Задан 14 Sep 2010, 13:29 от Anand
  • 87 голосов
  • 0 ответов
  • 0 просмотров
0 ответов

Как установить therubyracer gem на 10.10 Yosemite?

Мне не удается установить therubyracer gem на Yosemite 10.10.Вот журнал:11:53 $ gem install libv8 -v '3.16.14.3' -- --with-system-v8 Building na...

Задан 06 Jun 2014, 12:07 от Nicolas Blanco
  • 2 голосов
  • 0 ответов
  • 0 просмотров
0 ответов

попробуйте удалить ваш Gemfile.lock (файл), а затем выполните

кой-то причине мой проект испортился, и теперь он выдает ошибки каждый раз, когда я пытаюсь запуститьbundle install, Некоторые из ошибок, которые мне удалось исправить, переупорядочив драгоценные камни в моемGemfile, но теперь я получаю ...

Задан 02 Jul 2011, 22:04 от noli
  • 136 голосов
  • 0 ответов
  • 0 просмотров
0 ответов

ОШИБКА: при выполнении gem… (Errno :: EPERM) Операция не разрешена [дубликат]

На этот вопрос уже есть ответ здесь:Не могу установить драгоценные камни на OS X «El Capitan» 14 ответовЯ только что обновил свой Mac до OSX 10.11 El Capitan...

Задан 01 Oct 2015, 15:59 от Roy Calderon
  • 5 голосов
  • 2 ответа
  • 0 просмотров
2 ответа

рельсы 4: значения сопоставления не разрешены в этом контексте в строке 2 столбца 11 (Psych :: SyntaxError)?

Я успешно установил rails 4 и создал проект, используя rails 4.0.0

Задан 08 Sep 2013, 14:01 от sivrj
  • 1 голос
  • 4 ответа
  • 0 просмотров
4 ответа

Я получаю эту ошибку при установке gem: «ОШИБКА: во время выполнения gem… (Zlib :: GzipFile :: Error)» [duplicate]

Возможный дубликат: ОШИБКА: при выполнении gem… (Zlib :: GzipFile :: Error) не в формате gzip [https://stackoverflow.com/questions/13684137/error-while-executing-gem-zlibgzipfileerror-not-in-gzip-format] При установке гем в моей системе, я ...

Задан 02 Jun 2009, 01:42 от Tony
  • 9 голосов
  • 4 ответа
  • 0 просмотров
4 ответа

Я получал «неинициализированную константу Mysql» на Snow Leopard и Rails 3. Добавление gem «mysql» в Gemfile исправило это для меня.

Goksel-Eryigits-Mac-mini:blog geryit$ rake db:migrate --trace (in /Users/geryit/Sites/blog) ** Invoke db:migrate (first_time) ** Invoke environment (first_time) ** Execute environment ** Execute db:migrate rake aborted! Client does not support ...

Задан 15 Jan 2011, 03:52 от goksel
  • 8 голосов
  • 0 ответов
  • 0 просмотров
0 ответов

Как обстоят дела с рубинами в Debian? Это отличается и странно

Я заметил по крайней мере следующие странности вокруг рубинов в Debian (5.0 lenny в моем случае):Пакеты находятся в другом месте установки: / var / lib / gem...

Задан 17 May 2010, 05:18 от Yetanotherjosh
  • 2 голосов
  • 1 ответ
  • 0 просмотров
1 ответ

Мне не нужно использовать всякий раз, когда. Моя производственная среда - Windows. Поэтому мне нужно что-то вроде cron для Windows для ruby. Я думаю, это был бы хороший новый мой вопрос. Спасибо за помощь.

у запускать «простой» cron всякий раз, когда на Windows XP. Так что я установил всякий раз, когдаgem install whenever а потом запустил мой cron.rb require 'rubygems' require 'whenever' every 1.days, :at => '5:30am' do command "puts now" endно ...

Задан 21 Jul 2011, 23:40 от Radek
  • 5 голосов
  • 0 ответов
  • 0 просмотров
0 ответов

Установка Ruby gem и «Нет такого файла для загрузки»

Я пишу сценарии с Ruby 1.9.2dev в Backtrack 5, но у меня возникают некоторые проблемы при попытке проанализировать html-объекты с библиотекой "htmlentities". Я не могу загрузить библиотеку, хотя я установил ее с помощью gem. Я покажу ...

Задан 19 Jan 2012, 18:09 от Felipower
  • 5 голосов
  • 1 ответ
  • 0 просмотров
1 ответ

JRuby OpenSSL Ошибка

У меня проблемы с настройкой JRuby для правильной работы с OpenSSL. Поиск в Google показал, что это довольно распространенный случай, но ни одно из решений, ...

Задан 16 Jul 2010, 03:31 от dbyrne
  • 6 голосов
  • 0 ответов
  • 0 просмотров
0 ответов

 который, кажется, делает то, что вы ищете!

ook только что перезапустил Комментарии с функцией автоматического исправления грамматики. Что делает фильтр грамматики? Добавляет пунктуацию (например, точки в конце предложений)Удаляет лишние пробелы в словах в автоматическом регистре ...

Задан 08 Mar 2011, 20:14 от Colin Plamondon
  • 11 голосов
  • 5 ответов
  • 0 просмотров
5 ответов

Сожалею. не знакомы с JIRA ....

ли гем или что-то для разбора строк типа «4h 30m», «1d 4h» - вроде как оценки в JIRA или планировщиках задач, может быть, с интернационализацией?

Задан 18 Mar 2009, 08:03 от mannicken
  • 15 голосов
  • 2 ответа
  • 0 просмотров
2 ответа

неопределенное имя метода для actionmailer: String

Я имею старую версию Rails-проекта, которая была построена с использованием BrowserCMS в файле config / environment

Задан 14 Jun 2012, 08:03 от Azzurrio
  • 59 голосов
  • 8 ответов
  • 0 просмотров
8 ответов

Обычно я буду использовать его в сочетании с CanCan и Rolify

чал StackOverflow и Google, но не смог найти никого, кто бы сравнил гемы аутентификации или плагины для Rails (я ищу что-то для Rails 3). Какие решения для а...

Задан 21 Nov 2010, 05:03 от jrdioko
  • 43 голосов
  • 0 ответов
  • 0 просмотров
0 ответов

не могу загрузить railtie после обновления до rails 4 на ruby.railstutorial.org

ОС Ubuntu 12.04, 64-битная. Новое в рельсах. Относительно новый для Руби. После учебника ruby.railstutorial.org, глава 3. Учебное пособие было обновлено для использования ruby 2.0.0 и Rails 4.0.0.rc1. Ранее gemfile указывал Rails 3.2.13 и не ...

Задан 28 May 2013, 00:27 от Paul S
  • 17 голосов
  • 6 ответов
  • 0 просмотров
6 ответов

Чистая установка OSX 10.9.1 возвращает «неопределенный метод` path2class '»при попытке установить гем

Я только что установил чистую установку Mavericks с помощью Homebrew и RVM. И то и другое

Задан 11 Feb 2014, 00:33 от Niels Kristian
  • 111 голосов
  • 0 ответов
  • 0 просмотров
0 ответов

После этого вы не получите ошибку даты.

учаю следующую ошибку при попытке использовать драгоценные камни в Windows, и я также ссылался наэтот стековый пост [https://stackoverflow.com/questions/5771758/invalid-gemspec-because-of-the-date-format-in-specification] и обновленные рубины и ...

Задан 03 Sep 2011, 01:22 от Abhishek
  • 129 голосов
  • 0 ответов
  • 0 просмотров
0 ответов

Ubuntu rails не удается установить на zlib

Я только что перешел на Ubuntu 8.10 в качестве своего окна разработки; это мой первый серьезный набег на Linux как на ОС для повседневного использования, и мне тяжело запустить Rails. Я следовал нескольким учебникам, которые, кажется, ...

Задан 20 Apr 2009, 18:22 от Paul
  • 8 голосов
  • 0 ответов
  • 0 просмотров
0 ответов

Обход ошибки версии стойки с помощью Rails 2.3.5

В настоящее время я на Dreamhost пытаюсь запустить приложение Rails 2.3.5. Вот ситуация, на серверах Dreamhost установлен Rails 2.2.2. Конечно, я не могу обновить версию rails для общего хоста, поэтому я заморозил Rails вендора. Rails 2.3.5 ...

Задан 29 Nov 2009, 06:49 от Matthew
  • 282 голосов
  • 8 ответов
  • 0 просмотров
8 ответов

Ошибка при установке json gem 'mkmf.rb не может найти заголовочные файлы для ruby'

Для контекста, это на удаленном сервере, который имеет брандмауэр. Я'я настраиваю свое окружение через прокси. я имею

Задан 13 Dec 2013, 03:44 от Navneet
  • 18 голосов
  • 0 ответов
  • 0 просмотров
0 ответов

надеюсь это поможет

могу установить gem mysql2 в моей системе Windows7 x64. Я пытался использовать как 32-разрядную, так и 64-разрядную версии сервера MySQL, но ни одна из них не дала мне дальнейших результатов. Я установил Ruby 1.8, комплект разработчика и ...

Задан 30 Apr 2011, 11:20 от codingbunny
Page 1 of 7
1 2 3 4 5